Skip to main content
`Ctrl`+`K`

# numpy.setxor1d

numpy.setxor1d(ar1, ar2, assume_unique=False)

  Find the set exclusive-or of two arrays.

  Return the sorted, unique values that are in only one (not both) of the input arrays.

  Parameters:
    ar1, ar2 array_like

      Input arrays.

    assume_unique bool

      If True, the input arrays are both assumed to be unique, which can speed up the calculation. Default is False.

  Returns:
    setxor1d ndarray

      Sorted 1D array of unique values that are in only one of the input arrays.

  Examples

      >>> import numpy as np
      >>> a = np.array([1, 2, 3, 2, 4])
      >>> b = np.array([2, 3, 5, 7, 5])
      >>> np.setxor1d(a,b)
      array([1, 4, 5, 7])